RSS   Vulnerabilities for 'ADAS'   RSS

2019-09-20
 
CVE-2019-15089

CWE-352
 

 
An issue was discovered in PRiSE adAS 1.7.0. Forms have no CSRF protection, letting an attacker execute actions as the administrator.

 
 
CVE-2019-15088

CWE-704
 

 
An issue was discovered in PRiSE adAS 1.7.0. Password hashes are compared using the equality operator. Thus, under specific circumstances, it is possible to bypass login authentication.

 
 
CVE-2019-15087

CWE-862
 

 
An issue was discovered in PRiSE adAS 1.7.0. An authenticated user can change the function used to hash passwords to any function, leading to remote code execution.

 
 
CVE-2019-15086

CWE-79
 

 
An issue was discovered in PRiSE adAS 1.7.0. The newentityID parameter is not properly escaped, leading to a reflected XSS in the error message.

 
 
CVE-2019-15085

CWE-522
 

 
An issue was discovered in PRiSE adAS 1.7.0. The current database password is embedded in the change password form.

 
 
CVE-2019-14916

CWE-434
 

 
An issue was discovered in PRiSE adAS 1.7.0. A file's format is not properly checked, leading to an unrestricted file upload.

 
 
CVE-2019-14915

CWE-79
 

 
An issue was discovered in PRiSE adAS 1.7.0. Certificate data are not properly escaped. This leads to XSS when submitting a rogue certificate.

 
 
CVE-2019-14914

CWE-22
 

 
An issue was discovered in PRiSE adAS 1.7.0. The path is not properly escaped in the medatadata_del method, leading to an arbitrary file read and deletion via Directory Traversal.

 
 
CVE-2019-14913

CWE-79
 

 
An issue was discovered in PRiSE adAS 1.7.0. Log data are not properly escaped, leading to persistent XSS in the administration panel.

 
 
CVE-2019-14912

CWE-601
 

 
An issue was discovered in PRiSE adAS 1.7.0. The OPENSSO module does not properly check the goto parameter, leading to an open redirect that leaks the session cookie.

 


Copyright 2019, cxsecurity.com

 

Back to Top